import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { DetailComponent } from './detail/detail.component';
import { PageMineComponent } from './page-mine/page-mine.component';
import { PageStudentComponent } from './page-student/page-student.component';
import { PageStudentDetailComponent } from './page-student-detail/page-student-detail.component';

const routes: Routes = [
  {
    path:"home",component:HomeComponent
  },
  {
    path:"detail",component:DetailComponent
  },
  {
    path:"mine",component:PageMineComponent
  },
  {
    path:"student",component:PageStudentComponent
  },
  {
    path:"student/detail",component:PageStudentDetailComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class LessonRoutingModule { }
