import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { LessonRoutingModule } from './lesson-routing.module';
import { HomeComponent } from './home/home.component';
import { DetailComponent } from './detail/detail.component';
import { FormsModule } from '@angular/forms';
import { PageMineComponent } from './page-mine/page-mine.component';
import { CompNavButtonComponent } from './comp-nav-button/comp-nav-button.component';
import { CompLessonCardComponent } from './comp-lesson-card/comp-lesson-card.component';
import { PageStudentComponent } from './page-student/page-student.component';
import { PageStudentDetailComponent } from './page-student-detail/page-student-detail.component';



@NgModule({
  declarations: [
    HomeComponent,
    DetailComponent,
    PageMineComponent,
    CompNavButtonComponent,
    CompLessonCardComponent,
    PageStudentComponent,
    PageStudentDetailComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    LessonRoutingModule
  ]
})
export class LessonModule { }
