import { Component } from '@angular/core';


interface Student{
  name:string // 名称
  stuno:string // 学号
  gender?:string // 性别
  age?:number // 年龄
  signDate?:Date, // 注册时间
  skills?:Array<string> // 擅长技术
}

@Component({
  selector: 'app-page-student',
  templateUrl: './page-student.component.html',
  styleUrls: ['./page-student.component.scss']
})
export class PageStudentComponent {


  studentList:Array<Student> = [
    {
      name:"刘聪明", 
      stuno:"021666001", 
      gender:"男",
      age:18,
      signDate:new Date(), 
      skills:[
        "HTML","JS"
      ]
    },
    {
      name:"王智慧", 
      stuno:"021666002", 
      gender:"男",
      age:19,
      signDate:new Date(), 
      skills:[
        "HTML","JS"
      ]
    },
    {
      name:"李漂亮", 
      stuno:"021666003", 
      gender:"女",
      age:18,
      signDate:new Date(), 
      skills:[
        "CSS"
      ]
    },
    {
      name:"钱多多", 
      stuno:"021666004", 
      gender:"男",
      age:21,
      signDate:new Date(), 
      skills:[
        "AIGC"
      ]
    },
  ]
}
