# APP产品计划
- 作者：林财明 
- 学号：0210427

# 一、项目概况

## 项目简介
- 项目名称：/
    - 手艺之窗(CraftsMart)
- 项目Slogan：
    - 手艺之窗，挖掘本地手工艺的无限可能！
- 项目简介：
    - 手艺之窗是一款专为小县城打造的本地特色手工艺品线上销售平台小程序。在这个小程序中，我们致力于连接手工艺品制作者和消费者，为本地手工艺品制作传统和技艺提供更广阔的市场。

    - 在十八线小城市，有许多独特而精美的手工艺品，但由于销售渠道有限，这些宝藏往往无法展示和销售给更多的人。手艺之窗的目标就是通过线上平台，让这些手工艺品得以展示并与喜爱手工艺品的消费者相连接。

    - 手艺之窗提供了便捷的在线展示和销售功能，消费者可以通过小程序浏览各类本地特色手工艺品，并直接与制作者进行交流和购买。我们致力于打破传统销售渠道的限制，让消费者能够轻松获得独特、精美的本地手工艺品。

    - 为了确保产品的安全送达，手艺之窗还提供物流配送服务。消费者可以放心购买，我们会确保产品在最短的时间内送达消费者手中，让他们享受手工艺品带来的美好体验。

    - 通过手艺之窗，手工艺品制作者不仅能够获得更广阔的市场，还能直接与消费者进行交流和销售，避免了中间环节的利润损失。同时，消费者也能够发现并购买到独特、精美的本地手工艺品，增加对手工艺品的认可度和购买意愿。

    - 手艺之窗，让您探索本地手工艺的奇妙世界，感受手工艺品背后的文化魅力。加入我们，共同发现和传承这些宝贵的手工艺品制作传统和技艺。


## 政策背景
- 手艺之窗作为一款专为小县城打造的本地特色手工艺品线上销售平台小程序，将受到未来政策背景的积极影响。随着经济发展和文化保护意识的提升，政府对本地特色手工艺品的保护、推广和创新将成为政策关注的重点。

- 首先，政府可能会加大对本地手工艺品制作传统和技艺的保护力度。通过出台相关法律法规，加强对手工艺品制作者的权益保护，防止知识产权侵权和盗版行为，营造良好的创作环境。政府可能会设立专门的机构或部门，负责手工艺品的鉴定、认证和保护工作，确保手工艺品的原创性和独特性得到保护。

- 其次，政府可能会鼓励和支持本地特色手工艺品的创新和研发。通过设立专项资金和奖励政策，鼓励手工艺品制作者进行技术创新、设计创意，提升产品的品质和竞争力。政府可能会组织手工艺品设计大赛、展览和培训活动，促进创新思维和技术交流，推动手工艺品的发展和升级。

- 此外，政府还可能会推动线上销售平台的发展，为本地特色手工艺品提供更广阔的市场。通过支持小县城的电子商务发展，提供技术支持和培训，促进本地手工艺品的线上推广和销售，打破地域限制，让更多消费者能够方便地购买到本地特色手工艺品。政府可能会与电商平台合作，建立合作机制，为本地特色手工艺品提供展示、销售和物流配送服务，提升其市场竞争力。

- 同时，政府还可能会加强对物流配送服务的管理和规范，确保手工艺品能够安全、快速地送达消费者手中。通过建立健全的物流网络和配送体系，提高物流效率，降低物流成本，进一步促进本地特色手工艺品的销售和流通。政府可能会加强对物流企业的监管，推动物流行业的标准化和规范化发展，为手工艺品的运输和配送提供更可靠的保障。

- 综上所述，未来的政策背景将有利于本地特色手工艺品线上销售平台的发展。手艺之窗将能够充分受益于这些政策的支持和推动，为手工艺品制作者和消费者搭建一个更加繁荣和便利的交流平台。政府的政策支持将为手艺之窗带来更多的机遇和发展空间，推动本地特色手工艺品产业的繁荣和传承。

## 经济趋势
- 手艺之窗作为一款专为小县城打造的本地特色手工艺品线上销售平台小程序，将受到未来经济趋势的积极影响。以下是几个与手艺之窗相关的经济趋势：

- 消费升级与个性化需求增长：随着人们收入水平的提高和消费观念的转变，消费者对于本地特色手工艺品的需求将呈现出升级和个性化的趋势。手艺之窗作为一个连接制作者和消费者的平台，将满足消费者对于独特、精致手工艺品的需求，引领消费趋势。

- 电子商务的快速发展：随着互联网技术的普及和电子商务的快速发展，线上购物成为人们生活中不可或缺的一部分。手艺之窗作为一款线上销售平台小程序，将充分利用电子商务的便利性和广阔的市场，实现本地特色手工艺品的线上推广和销售。

- 本地特色文化产业的兴起：政府对本地特色手工艺品的保护和推广将进一步促进本地特色文化产业的兴起。手艺之窗将成为本地特色手工艺品制作者展示和销售作品的重要平台，推动本地特色文化产业的发展和繁荣。

- 社交媒体的影响力：社交媒体在当今社会中扮演着重要角色，成为产品推广和品牌建设的重要渠道。手艺之窗将充分利用社交媒体的影响力，通过精心打造的内容和活动，吸引更多用户关注和参与，提升平台的知名度和用户粘性。

- 物流配送服务的提升：随着物流行业的发展和技术的进步，物流配送服务将变得更加高效和可靠。手艺之窗将与物流企业合作，建立健全的物流网络和配送体系，确保手工艺品能够安全、快速地送达消费者手中，提升用户体验和满意度。

- 综上所述，手艺之窗将受益于消费升级、电子商务发展、本地特色文化产业兴起、社交媒体影响力和物流配送服务提升等经济趋势。随着这些趋势的推动，手艺之窗有望成为小县城本地特色手工艺品的主要销售平台，促进本地经济发展和文化传承，满足消费者对于独特、精致手工艺品的需求。

## 行业痛点

手艺之窗作为一款专为小县城打造的本地特色手工艺品线上销售平台小程序，旨在解决以下行业痛点：

1. 有限的市场渠道：
- 传统的本地特色手工艺品销售通常受限于地域和渠道的限制，制约了制作者的销售范围和机会。手艺之窗通过线上销售平台的方式，打破了地域限制，为手工艺品制作者提供了更广阔的市场渠道，实现了销售的全国甚至全球化。

2. 信息不对称：
- 在传统销售模式下，消费者往往难以获取到全面、准确的手工艺品信息，无法充分了解产品的特点、制作工艺和背后的故事。手艺之窗通过提供详细的产品信息、制作者介绍和故事背景，弥补了信息不对称的问题，让消费者更好地了解和选择手工艺品。

3. 制作技艺传承困难：
- 许多本地特色手工艺品的制作技艺面临着传承困难的问题。年轻一代对手工艺品的兴趣逐渐减少，制作者的继任者不易找到。手艺之窗通过线上平台的推广和宣传，吸引更多年轻人的关注和参与，促进手工艺品技艺的传承和创新。

4. 品牌建设和推广困难：
- 许多手工艺品制作者缺乏品牌建设和推广的能力，无法将自己的作品推向更广泛的市场。手艺之窗作为一个专业的销售平台，提供品牌展示和推广的机会，帮助制作者树立品牌形象，增加知名度和销售量。

5. 物流配送不便：
- 传统销售模式下，手工艺品的物流配送往往面临着不便和风险。手艺之窗与物流企业合作，建立健全的物流网络和配送体系，提供安全、快速的物流服务，解决了物流配送的问题，让消费者能够方便地购买到手工艺品。

6. 缺乏交流与互动平台：
- 传统销售模式下，制作者和消费者之间缺乏有效的交流和互动平台，无法建立更紧密的关系。手艺之窗通过线上社交功能，为制作者和消费者搭建起交流、互动的平台，增加双方的互动和信任，提升用户体验和满意度。

- #### 综上所述，手艺之窗通过解决有限的市场渠道、信息不对称、制作技艺传承困难、品牌建设和推广困难、物流配送不便以及缺乏交流与互动平台等行业痛点，为小县城的本地特色手工艺品制作者和消费者搭建起了一个便捷、可信赖的线上销售平台，促进了手工艺品产业的发展和繁荣。

## 用户分析：相关者

- 手工艺品制作者：
     - 这是手艺之窗的核心用户群体，包括各类手工艺品制作者，如陶艺师、木工匠、织布工、刺绣师等。他们通过手艺之窗平台展示和销售自己的作品，扩大销售范围，提高知名度和收入。他们希望通过手艺之窗与更多的消费者建立联系，分享自己的手工艺品技艺和创作故事。

- 手工艺品爱好者：
    - 这是手艺之窗的主要消费者群体，他们对手工艺品具有浓厚的兴趣和热爱。他们通过手艺之窗平台浏览、购买和收藏各类独特、精致的手工艺品，欣赏手工艺品背后的制作工艺和文化内涵。他们希望通过手艺之窗找到满足个性化需求的手工艺品，支持本地特色文化产业的发展。

- 设计师和艺术家：
    - 设计师和艺术家也是手艺之窗的潜在用户。他们可能与手工艺品制作者合作，将自己的设计和艺术创作融入手工艺品中，共同打造独特的作品。手艺之窗为设计师和艺术家提供了一个展示和销售自己作品的平台，扩大影响力和商业机会。

- 旅游者和文化爱好者：
    - 手艺之窗的本地特色手工艺品吸引了许多旅游者和文化爱好者的关注。他们希望通过手艺之窗了解和购买当地特色的手工艺品，体验当地文化的独特魅力。手艺之窗为他们提供了一个便捷的途径，让他们在旅行中收集和带回独特的手工艺品。


#### 除了以上主要用户群体，还有一些相关者与手艺之窗有着密切的联系，包括：


- 物流企业：
    - 物流企业是手艺之窗的合作伙伴，负责手工艺品的配送和交付。他们与手艺之窗合作，确保手工艺品能够安全、快速地送达消费者手中。

- 本地政府和文化部门：
    - 本地政府和文化部门是手艺之窗的支持者和合作伙伴。他们通过政策扶持和资源支持，促进本地特色手工艺品的保护、传承和发展，与手艺之窗共同推动本地特色文化产业的繁荣。

- 社交媒体平台：
    - 社交媒体平台在手艺之窗的推广和宣传中起着重要作用。手艺之窗与社交媒体平台合作，通过精心打造的内容和活动，吸引更多用户关注和参与，提升平台的知名度和用户粘性。

## 技术模型

- 前端开发框架：
    - 小程序前端开发通常使用框架来构建用户界面和实现交互功能。常见的小程序前端开发框架包括Taro、uni-app和mpVue等，它们可以支持多个平台（如微信小程序、支付宝小程序等）的开发，提供了组件化开发、跨平台编译等特性，简化了开发流程。

- 后端开发框架：
    - 小程序后端开发框架用于处理用户请求、数据存储和业务逻辑。常见的后端开发框架包括Node.js的Express、Spring Boot等，它们提供了路由管理、数据库操作、身份验证等功能，用于构建小程序的后端接口和逻辑处理。

- 数据库：
    - 小程序通常需要使用数据库来存储和管理用户数据、商品信息、订单记录等。常见的数据库包括关系型数据库如MySQL和PostgreSQL，以及NoSQL数据库如MongoDB和Redis。数据库用于存储和检索数据，支持小程序的数据管理和查询操作。

- 用户认证和授权：
    - 小程序可能需要实现用户认证和授权功能，以确保用户身份的安全性和数据的隐私保护。常见的认证和授权技术包括OAuth 2.0、JWT（JSON Web Token）等，用于验证用户身份、生成和管理访问令牌，并控制用户对资源的访问权限。

- 支付集成：
    - 小程序通常需要与支付服务进行集成，以实现商品购买和支付功能。常见的支付集成包括微信支付、支付宝支付等，通过调用支付接口实现订单生成、支付验证和支付结果通知等功能。

- 数据分析和推荐：
    - 小程序可以利用数据分析和推荐模型来了解用户行为、偏好和需求，从而提供个性化的推荐和服务。常见的数据分析和推荐技术包括用户行为分析、协同过滤、推荐算法等，用于根据用户数据和历史行为进行个性化推荐和服务。

## 商业模型（略）

- 可以基于佣金收费，即从手工艺品销售中抽取一定比例的佣金作为平台的收入来源。

- 同时，也可以提供增值服务如广告推广、定制需求等，以进一步增加收入。

## 融资策略（略）

- 可以包括寻求风险投资、与相关企业建立合作伙伴关系、申请政府资助或补贴，

- 并利用平台的增长潜力和商业前景吸引潜在投资者。

# 二、产品设计
## 产品结构图
- 参考：
    - https://api.woshipm.com/search/list.html?key=%E4%BA%A7%E5%93%81%E7%BB%93%E6%9E%84%E5%9B%BE

- 手艺之窗
    - 用户界面：

        - 首页：展示热门手工艺品、推荐内容和特别活动。
        - 分类：按照手工艺品类型进行分类展示，方便用户浏览。
        - 搜索：提供关键词搜索功能，用户可以根据需求查找特定的手工艺品。
        - 用户个人中心：用户可以管理个人信息、订单、收藏和评价等。
    - 制作者界面：

         - 制作室管理：制作者可以创建和管理自己的制作室，展示手工艺品和个人信息。
         - 商品管理：制作者可以上传手工艺品的照片、描述、价格等信息，并进行库存管理。
         - 订单管理：制作者可以查看和处理来自消费者的订单。
    - 消费者功能：

        - 浏览和购买：消费者可以浏览手工艺品、查看详细信息，并进行购买。
        - 收藏和关注：消费者可以收藏自己喜欢的手工艺品，关注喜欢的制作者。
        - 评价和分享：消费者可以对购买的手工艺品进行评价，并分享到社交媒体平台。
     - 物流与支付：
        - 物流合作：与物流企业合作，提供快速、可靠的配送服务。
        - 支付方式：支持多种支付方式，如在线支付、货到付款等

## 产品信息图
- 用户信息：

    - 用户名：用户在注册时设置的用户名。
    - 头像：用户上传或选择的个人头像。
    - 联系信息：用户的联系方式，如手机号码、电子邮件等。

- 手工艺品信息：

    - 标题：手工艺品的标题或名称。
    - 描述：手工艺品的详细描述，包括材料、尺寸、制作工艺等。
    - 图片：手工艺品的照片或图片，用于展示产品外观。
    - 价格：手工艺品的售价。
    - 库存：手工艺品的库存数量。
    - 分类：手工艺品所属的分类或类型。

- 制作者信息：

    - 制作者名：手工艺品的制作者姓名或制作室名称。
    - 制作者介绍：制作者的简要介绍或个人故事。
    - 制作者联系方式：制作者的联系方式，如微信号、电话等。

- 订单信息：

    - 订单编号：每个订单的唯一标识符。
    - 下单时间：订单的创建时间。
    - 收货地址：用户选择的收货地址。
    - 订单状态：订单的当前状态，如待支付、待发货、已完成等。
    - 付款方式：用户选择的支付方式，如在线支付、货到付款等。

## 竞品分析对比
- "手艺宝"小程序：

    - 特点：连接手工艺品制作者和消费者，提供在线购买和展示功能。
    - 优势：注重本地特色手工艺品的推广，提供制作者故事和背景介绍，增加消费者的情感共鸣。
    - 劣势：用户界面设计相对简单，缺乏个性化推荐和社交分享功能。

- "手作坊"小程序：

    - 特点：提供手工艺品制作教程和材料购买功能，同时也有销售手工艺品的平台。
    - 优势：结合了教学和销售功能，吸引了制作者和消费者的双重需求。
    - 劣势：缺乏对制作者的个人品牌推广，用户界面设计相对简单。

- "手艺网"小程序：

    - 特点：聚集了全国各地的手工艺品制作者和消费者，提供广泛的手工艺品选择。
    - 优势：规模较大，手工艺品种类多样，用户可以找到更多选择。
    - 劣势：缺乏对本地特色手工艺品的专注，用户体验可能相对一般。

### 首页

- 首页是用户打开手艺之窗小程序后首先看到的页面。它通常包含以下内容：

    - 轮播图：展示精选手工艺品的高清图片，吸引用户的注意力。
    - 推荐商品：根据用户的兴趣和购买历史，推荐相关的手工艺品，提高用户的购买欲望。
    - 分类导航：以图标或文字形式展示各个手工艺品分类，方便用户浏览和选择。



#### 商品详情页

- 商品详情页展示了用户点击进入的手工艺品的详细信息，包括：

    - 商品图片：展示手工艺品的高清图片，让用户更好地了解产品外观和细节。
    - 商品描述：描述手工艺品的材料、尺寸、制作工艺等详细信息。
    - 价格和库存：显示手工艺品的售价和当前库存数量。
    - 购买按钮：用户可以通过点击按钮将商品加入购物车或直接购买

### 购物车页面

- 购物车页面展示了用户已选购的手工艺品列表和相关信息，包括：

    - 商品列表：展示用户已选购的手工艺品，包括商品图片、名称、价格等。
    - 数量和小计：显示每个商品的数量和小计金额。
    - 结算按钮：用户可以点击结算按钮进入订单确认页面。

#### 订单确认页面

- 订单确认页面显示用户已选购的手工艺品和相关信息，并提供以下功能：

    - 收货地址选择：用户可以选择或添加收货地址。
    - 支付方式选择：用户可以选择适合的支付方式，如在线支付、货到付款等。
    - 订单总金额：显示订单的总金额，包括商品价格、运费等。
    - 提交订单按钮：用户确认订单信息后，可以点击提交订单按钮完成购买。

### 我的页面

- 包含以下功能：

     - 用户信息：显示用户的头像、昵称和其他相关信息。
     - 我的收藏：展示用户收藏的手工艺品列表，用户可以查看和管理自己的收藏。
     - 地址管理：允许用户添加、编辑和删除收货地址，方便用户在购物时选择送货地址。
     - 我的评价：显示用户对购买过的手工艺品的评价，用户可以查看和编辑自己的评价。
     - 设置：提供一些个人设置选项，例如修改密码、通知设置等。


 ## 图片示意
![Alt text](image-1.png)

![Alt text](image-2.png)